Bug 251556 - rhythmbox crashes when playing
rhythmbox crashes when playing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 14:45 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 14:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 413801 None None None Never
GNOME Desktop 465151 None None None Never

  None (edit)
Description Dave Jones 2007-08-09 14:45:43 EDT
click play on an ogg, and watch rhythmbox explode.

$ gdb rhythmbox
GNU gdb Red Hat Linux (6.6-15.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Using host libthread_db library "/lib64/libthread_db.so.1".
(gdb) run
Starting program: /usr/bin/rhythmbox 
[Thread debugging using libthread_db enabled]
[New Thread 46912496347088 (LWP 22040)]
[Detaching after fork from child process 22043. (Try `set detach-on-fork off'.)]
[New Thread 1084229968 (LWP 22044)]
[Thread 1084229968 (LWP 22044) exited]
[New Thread 1084229968 (LWP 22045)]
[Thread 1084229968 (LWP 22045) exited]

(rhythmbox:22040): Rhythmbox-WARNING **: Unable to start mDNS browsing: MDNS
service is not running

(rhythmbox:22040): Rhythmbox-WARNING **: Unable to notify network of music
sharing: The avahi MDNS service is not running
[New Thread 1084229968 (LWP 22046)]
[Thread 1084229968 (LWP 22046) exited]
[New Thread 1084229968 (LWP 22047)]
[Thread 1084229968 (LWP 22047) exited]
[New Thread 1084229968 (LWP 22049)]
[New Thread 1094719824 (LWP 22050)]
[Thread 1084229968 (LWP 22049) exited]
[New Thread 1084229968 (LWP 22051)]
[Thread 1084229968 (LWP 22051) exited]
[New Thread 1084229968 (LWP 22061)]
[New Thread 1105209680 (LWP 22062)]
[New Thread 1115699536 (LWP 22063)]
[New Thread 1126189392 (LWP 22064)]
[Thread 1126189392 (LWP 22064) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1105209680 (LWP 22062)]
gst_base_sink_pad_getcaps (pad=0x12e3170) at gstbasesink.c:374
374       bclass = GST_BASE_SINK_GET_CLASS (bsink);
(gdb) bt
#0  gst_base_sink_pad_getcaps (pad=0x12e3170) at gstbasesink.c:374
#1  0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x12e3170) at gstpad.c:1967
#2  0x0000003a89a4c34f in gst_pad_get_caps (pad=0x12e3170) at gstpad.c:2051
#3  0x0000003a89a411a9 in gst_proxy_pad_do_getcaps (pad=0x1295890) at
gstghostpad.c:228
#4  0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x1295890) at gstpad.c:1967
#5  0x0000003a89a4c34f in gst_pad_get_caps (pad=0x1295890) at gstpad.c:2051
#6  0x0000003a89a411a9 in gst_proxy_pad_do_getcaps (pad=0x1295a40) at
gstghostpad.c:228
#7  0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x1295a40) at gstpad.c:1967
#8  0x0000003a89a4c34f in gst_pad_get_caps (pad=0x1295a40) at gstpad.c:2051
#9  0x0000003a89a411a9 in gst_proxy_pad_do_getcaps (pad=0x7d8c60) at
gstghostpad.c:228
#10 0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x7d8c60) at gstpad.c:1967
#11 0x0000003a89a4c34f in gst_pad_get_caps (pad=0x7d8c60) at gstpad.c:2051
#12 0x0000003a89a4dff9 in gst_pad_peer_get_caps (pad=0x12e3000) at gstpad.c:2086
#13 0x0000003a8a216fdb in gst_base_transform_getcaps (pad=0x12dee60) at
gstbasetransform.c:556
#14 0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x12dee60) at gstpad.c:1967
#15 0x0000003a89a4c34f in gst_pad_get_caps (pad=0x12dee60) at gstpad.c:2051
#16 0x0000003a89a4dff9 in gst_pad_peer_get_caps (pad=0x12decf0) at gstpad.c:2086
#17 0x0000003a8a216fdb in gst_base_transform_getcaps (pad=0x12deb80) at
gstbasetransform.c:556
#18 0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x12deb80) at gstpad.c:1967
#19 0x0000003a89a4c34f in gst_pad_get_caps (pad=0x12deb80) at gstpad.c:2051
#20 0x0000003a89a4dff9 in gst_pad_peer_get_caps (pad=0x12dea10) at gstpad.c:2086
#21 0x0000003a8a216fdb in gst_base_transform_getcaps (pad=0x12de8a0) at
gstbasetransform.c:556
#22 0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x12de8a0) at gstpad.c:1967
#23 0x0000003a89a4c34f in gst_pad_get_caps (pad=0x12de8a0) at gstpad.c:2051
#24 0x0000003a89a411a9 in gst_proxy_pad_do_getcaps (pad=0x12956e0) at
gstghostpad.c:228
#25 0x0000003a89a48f26 in gst_pad_get_caps_unlocked (pad=0x12956e0) at gstpad.c:1967
#26 0x0000003a89a4e343 in gst_pad_link (srcpad=0x13ed000, sinkpad=0x12956e0) at
gstpad.c:1638
#27 0x0000003a89a6c231 in pad_link_maybe_ghosting (src=0x13ed000,
sink=0x12956e0) at gstutils.c:1311
#28 0x0000003a89a6d7ac in gst_element_link_pads (src=0x12dc6f0,
srcpadname=0x2aaab959fb91 "src", dest=0x84aa80, destpadname=<value optimized
out>) at gstutils.c:1428
#29 0x00002aaab95951f5 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#30 0x00002aaab9599d78 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#31 0x0000003a8180af39 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#32 0x0000003a8181a838 in ?? () from /lib64/libgobject-2.0.so.0
#33 0x0000003a8181bc84 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#34 0x0000003a8181be53 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#35 0x0000003a8180af39 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#36 0x0000003a8181a838 in ?? () from /lib64/libgobject-2.0.so.0
#37 0x0000003a8181bc84 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#38 0x0000003a8181be53 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#39 0x00002aaaba609bee in ?? () from /usr/lib64/gstreamer-0.10/libgstogg.so
#40 0x00002aaaba60a668 in ?? () from /usr/lib64/gstreamer-0.10/libgstogg.so
#41 0x00002aaaba60e9a2 in ?? () from /usr/lib64/gstreamer-0.10/libgstogg.so
#42 0x0000003a89a6561d in gst_task_func (task=0x100b970, tclass=<value optimized
out>) at gsttask.c:192
#43 0x0000003a8144acf9 in ?? () from /lib64/libglib-2.0.so.0
#44 0x0000003a81449354 in ?? () from /lib64/libglib-2.0.so.0
#45 0x0000003e120062f7 in start_thread (arg=<value optimized out>) at
pthread_create.c:296
#46 0x0000003e110d0fbd in clone () from /lib64/libc.so.6
(gdb) 

100% reproducable, so further debugging possible if necessary.
Comment 1 Zoltán Magyar 2007-10-20 16:42:28 EDT
At Gnome's Bugzilla this is reported to be fixed in gstreamer 0.10.13.
Could you check it? (It is working by me)
Comment 2 Dave Jones 2008-01-17 14:13:49 EST
seems fixed for me in 0.10.15  (and has been for a while, so your comment is
likely accurate).

Note You need to log in before you can comment on or make changes to this bug.